CVE-2021-45046

NameCVE-2021-45046
DescriptionIt was found that the fix to address CVE-2021-44228 in Apache Log4j 2.15.0 was incomplete in certain non-default configurations. This could allows attackers with control over Thread Context Map (MDC) input data when the logging configuration uses a non-default Pattern Layout with either a Context Lookup (for example, $${ctx:loginId}) or a Thread Context Map pattern (%X, %mdc, or %MDC) to craft malicious input data using a JNDI Lookup pattern resulting in an information leak and remote code execution in some environments and local code execution in all environments. Log4j 2.16.0 (Java 8) and 2.12.2 (Java 7) fix this issue by removing support for message lookup patterns and disabling JNDI functionality by default.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-5022-1
Debian Bugs1001729

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
apache-log4j2 (PTS)stretch2.7-2fixed
stretch (security)2.12.4-0+deb9u1fixed
buster2.17.1-1~deb10u1fixed
buster (security)2.17.0-1~deb10u1fixed
bullseye2.17.1-1~deb11u1fixed
bullseye (security)2.17.0-1~deb11u1fixed
bookworm, sid2.17.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
apache-log4j2sourcestretch(not affected)
apache-log4j2sourcebuster2.16.0-1~deb10u1DSA-5022-1
apache-log4j2sourcebullseye2.16.0-1~deb11u1DSA-5022-1
apache-log4j2source(unstable)2.16.0-11001729

Notes

[stretch] - apache-log4j2 <not-affected> (JndiLookup class has been removed)
https://www.openwall.com/lists/oss-security/2021/12/14/4
https://logging.apache.org/log4j/2.x/security.html#CVE-2021-45046
https://issues.apache.org/jira/browse/LOG4J2-3221
https://www.lunasec.io/docs/blog/log4j-zero-day-update-on-cve-2021-45046/

Search for package or bug name: Reporting problems